#include <a_samp>


//----------------------------------------------------------
stock CreateStreamObject(modelid,Float:xpos,Float:ypos,Float:zpos,Float:xrot,Float:yrot,Float:zrot)
{
	return CallRemoteFunction("Core_CreateStreamObject","ifffffff",modelid,xpos,ypos,zpos,xrot,yrot,zrot);
}

//----------------------------------------------------------
stock CreateStreamObjectEx(modelid,Float:xpos,Float:ypos,Float:zpos,Float:xrot,Float:yrot,Float:zrot,Float:viewdist)
{
	return CallRemoteFunction("Core_CreateStreamObjectEx","ifffffff",modelid,xpos,ypos,zpos,xrot,yrot,zrot,viewdist);
}

//----------------------------------------------------------
stock DestroyStreamObject(id)
{
    CallRemoteFunction("Core_DestroyStreamObject","i",id);
}

//----------------------------------------------------------
stock GetStreamObjectPos(id,&Float:xpos,&Float:ypos,&Float:zpos)
{
    xpos = Float:CallRemoteFunction("Core_GetXPos","i",id);
    ypos = Float:CallRemoteFunction("Core_GetYPos","i",id);
    zpos = Float:CallRemoteFunction("Core_GetZPos","i",id);
}

//----------------------------------------------------------
stock GetStreamObjectRot(id,&Float:xrot,&Float:yrot,&Float:zrot)
{
    xrot = Float:CallRemoteFunction("Core_GetXRot","i",id);
    yrot = Float:CallRemoteFunction("Core_GetYRot","i",id);
    zrot = Float:CallRemoteFunction("Core_GetZRot","i",id);
}

//----------------------------------------------------------
stock SetStreamObjectPos(id,Float:xpos,Float:ypos,Float:zpos)
{
    CallRemoteFunction("Core_SetStreamObjectPos","ifff",id,xpos,ypos,zpos);
}

//----------------------------------------------------------
stock SetStreamObjectRot(id,Float:xrot,Float:yrot,Float:zrot)
{
    CallRemoteFunction("Core_SetStreamObjectRot","ifff",id,xrot,yrot,zrot);
}

//----------------------------------------------------------
stock MoveStreamObject(id,Float:xpos,Float:ypos,Float:zpos,Float:speed)
{
    CallRemoteFunction("Core_MoveStreamObject","ifff",id,xpos,ypos,zpos,speed);
}

//----------------------------------------------------------
stock SetPlayerPosWithObjects(playerid,Float:xpos,Float:ypos,Float:zpos)
{
    CallRemoteFunction("Core_SetPlayerPosWithObjects","ifff",playerid,xpos,ypos,zpos);
}
